Welcome to Heloc Pro

Heloc Pro is the new BARTEC heat loss calculation software. It helps designing industrial electrical heat tracing systems for pipelines and tanks. Depending on the application and local codes the program selects suitable components for an optimized heat tracing system:

  • heating cable
  • power junction boxes
  • termination kits
  • temperature controllers and sensors
  • mounting accessories etc.

The types of heaters covered are self-regulating and constant wattage parallel heaters, series mineral and polymer insulated heaters.

Software features include IEC/IEEE - compliant heat trace calculations for pipes and tanks.

See also:

User Responsibilities

System Requirements

Technical Support

License Agreement

First Start

Copyright © 2018-2023 by BARTEC GmbH, Inc. All Rights Reserved.


User Responsibilities

Welcome to Heloc Pro ››

Heloc Pro is a tool used to assist in designing electrical heat tracing systems and should not be used as a substitute for expert engineer verification. The tool can guide you in selecting various system components, but assumes that you are knowledgeable in heat trace design.

The performance, reliability, and safety of your system are dependent upon selection of the proper equipment, correct installation, and sound design. The output of Heloc Pro should be reviewed by a qualified engineer for verification of appropriate use for your application. You can find additional information in our installation manuals, product data sheets, and other reference materials. Contact Technical Support if you require further verification or assistance with your system.


System Requirements

Welcome to Heloc Pro ››

Processor type:

  • Minimum: Pentium III - compatible processor or faster

Processor speed:

  • Minimum: 1 GHz
  • Recommended: 2 GHz or faster

OS:

  • Windows Vista, All Editions (x64 or x32)
  • Windows 7, 8 and 10, All Editions (x64 or x32)

RAM:

  • Minimum: 1 GB
  • Recommended: 2 GB or more


Technical Support

Welcome to Heloc Pro ››

If you have any questions, issues, or suggestions related to Heloc Pro Software write an e-mail at heloc.support@bartec.com .

If you need assistance by the designing of the electrical heat tracing systems or you have questions about

BARTEC Electrical Heating System Products, please write an e-mail at eht.support@bartec.com .


License Agreement

Welcome to Heloc Pro ››

Licensing Terms and Conditions for the Provision of Heloc Pro Software

Status: December 2019

by

BARTEC GmbH, Max-Eyth-Straße 16, 97980 Bad Mergentheim, Germany

- hereinafter referred to as BARTEC -

Preamble:

BARTEC is an internationally active company in the field of explosion protection and electrical heat tracing. Wherever hazardous substances, such as flammable gases, vapours, mists or dusts occur, BARTEC products prevent explosions and therefore serve the safety of humans and the environment.

In this context, the licensee has acquired BARTEC products for the use of which the development and use of the software developed by BARTEC is necessary to facilitate the contractually owed use.

BY INSTALLING OR OTHERWISE ACCESSING THIS SOFTWARE, YOU ARE AGREEING TO BECOME BOUND BY THE TERMS STATED HEREIN. IF YOU DO NOT AGREE TO THESE TERMS, DO NOT INSTALL OR ACCESS THIS SOFTWARE.

The manner and extent of use of this software is regulated as follows:

1. Subject matter of agreement

1.1. BARTEC shall grant the licensee a licence to use the Heloc Pro software (hereinafter referred to as “contractual software”) and any provided documentation.

“Use” within the meaning of this Agreement shall mean any permanent or temporary reproduction (copying) of the contractual software in whole or in part, including in particular loading, displaying, running, transferring or storing the contractual software for the purpose of executing it on any hardware in possession of the licensee. The contractual use shall also include the execution of the aforementioned actions for the purpose of observation, examination or testing of the contractual software provided as well as the production of a single backup copy of the contractual software provided.

1.2. The licence shall include the right to install and execute the software provided that the provisions of this Agreement are complied with.

1.3. The licensee is not entitled

• to publish, rent, lease or to lend the software;

• to circumvent technical restrictions or limitations in the software;

• to reverse engineer, decompile or disassemble the software or attempt such; and

• when using internet-based features to use the software such that the use of these features could disturb others or provide unauthorised access to services, data, accounts or networks or the use of such without authorisation.

• Otherwise, the contractual software and the documentation may not be modified, manipulated or circumvented in whole or in part. This shall not affect the compelling rights set out in Art. 5 I and VI of the EU Directive of 23.04.2009 on the legal protection of computer programs.

1.4 The licensee shall notify BARTEC immediately if he becomes aware of any deviations from the functions described in the documentation during use.

1.5 Beyond the above provisions, the licensee is not entitled to transfer the rights of use granted to him in whole or in part to third parties or to grant corresponding rights of use to the contractual software to third parties.

2 Protection of the contractual software and of the documentation

2.1 Subject to the rights of use granted pursuant to paragraph 1, BARTEC shall retain all rights to the contractual software and the documentation as well as to all copies or partial copies of the contractual software and the documentation made by the licensee in the provided, modified or edited version, notwithstanding the licensee’s ownership of the respective data carrier.

2.2 The licensee undertakes to retain in an unaltered form the proprietary notices contained in the documentation, such as copyright notices and other legal reservations, in the versions of the documentation provided and to insert them in unaltered form at the appropriate places in the modified or edited versions of the documentation and incorporate them in all copies or partial copies of the provided, modified or edited documentation made by the licensee in accordance with the terms and conditions of the Agreement.

3 Operating conditions and further product development

3.1 The contractual software provided to the licensee has been developed for use in a specific system environment and for the interaction with specific other software depending on the hardware associated with the software.

3.2 The rights in respect to defects pursuant to paragraph 4 shall not apply to a use of the contractual software and of the documentation outside of these terms and conditions of use. Likewise, BARTEC shall not be liable for any damage resulting therefrom.

4 Liability and rights in respect of defects

4.1 BARTEC undertakes to ensure that the contractual software in the delivered version is suitable for use in accordance with the specifications valid at the time of concluding the Agreement and provided to the licensee prior to the concluding of the Agreement and as shown in the documentation, which specify the intended use and the terms and conditions of using the contractual software.

4.2 The licensee is obliged to provide BARTEC with verifiable documents on the type and occurrence of deviations from the specifications and to cooperate in the pinpointing of errors.

5 Software update and support

5.1 BARTEC shall update the contractual software provided by it and the documentation it has made available by:

• Providing improvements and enhancements to the contractual software (updates and patches) which are not accompanied by significant new functions (including documentation) on <http://www.BARTEC.de> or provided by the update function of the contractual software.

• Where necessary, BARTEC shall visit the licensee for meetings and/or work in return for separate remuneration.

5.2. Other services, such as the training of the licensee’s employees, other adjustments to the contractual software to the special conditions of the licensee, update and maintenance services for the versions of the documentation modified or edited by the licensee shall not generally be owed by BARTEC.

6. Remuneration

The software shall be provided at the prices stated in the current price list.

7. Restrictions to liability

7.1. The contractual software and accompanying written materials are provided “as is” without warranty of any kind. The entire risk as to the results and performance of the contractual software is assumed by the user. BARTEC does not warrant that the functions contained in the contractual software will meet your requirements or that the operation of the contractual software will be uninterrupted or error-free, or that program defects will be corrected. It is assumed that the user of this program is an expert in the engineering and design of heat-tracing systems. BARTEC has not verified the results produced by the contractual software for all conceivable cases. You must judge the reasonableness of the results obtained by using your engineering expertise, and should independently evaluate the suitability of each calculated result for your specific application.

7.2. BARTEC shall not be liable for any loss, damage or delay during shipment or for any loss of profits, loss of use, interruption of business, nor for indirect, special, incidental or consequential damages of any kind whatever under this agreement or otherwise, whether or not BARTEC has been advised of the possibility of such damages.

8. Confidentiality

8.1. The parties undertake to keep secret for an indefinite period of time all information which becomes known to them during the course of the performance or execution of this Agreement, and to neither record nor publish it, nor disclose it to third parties, unless this is necessary to achieve the purpose of the Agreement.

8.2. The following information shall not be covered by the confidentiality obligation:

• Information which the CONTRACTOR has legitimately received from a third party;

• Information which became publicly known without breaching this Agreement;

• Information which was demonstrably developed independently by the CONTRACTOR.

The licensee undertakes to pay BARTEC an appropriate contractual penalty for each case of culpable infringement of its confidentiality obligations pursuant to paragraphs 8.1 and 8.2, whether by its organs, by one of its employees or by a third party commissioned by it. This contractual penalty shall be determined by BARTEC as is fair and just and shall be subject to judicial review in the event of a dispute. When calculating the contractual penalty, the specific breach of agreement, its severity and degree of fault of the interested party must be taken into account. The total contractual penalty for all breaches under this Agreement shall not exceed EUR 250,000. Any contractual penalty paid in the event of a breach shall be set off against any claim for damages against the licensee resulting from the same breach. BARTEC reserves the right to assert further claims for damages.

8.3. The confidentiality obligations pursuant to this Paragraph 8 shall not be affected by the termination of this Agreement.

9. Miscellaneous

9.1. The licensee shall ensure that its systems shall be exported in accordance with the relevant provisions under foreign trade law and other export controls. The same shall apply to compliance with data protection regulations.

9.2. The Licence Agreement and its annexes contain all agreements between the parties. There are no other ancillary agreements. Amendments or supplements to this Agreement must be made in writing. This shall also apply to a waiver of this written form requirement.

9.3. Place of jurisdiction for all disputes arising from or in connection with this Agreement shall be the registered office of BARTEC.

9.4. This Agreement and any disputes arising from it shall be governed by German law to the exclusion of the UN Convention on the International Sale of Goods.

9.5. Should individual provisions of the Agreement be invalid, this shall not affect the validity of the remaining provisions of the Agreement. The Parties undertake to replace the ineffective provisions by a substitute provision that comes as close as possible to the purpose intended by the ineffective provision, taking into account the interests of both parties. The legal situation shall apply until such time as such provisions have been agreed.


First Start

Welcome to Heloc Pro ››

After installing the Heloc Pro on your machine, you can start working with the program.

By launching you might see the following window:

It means, that your Heloc Pro version is currently operating in trial mode. The trial period includes 30 days. At every program launch in trial mode, you will see the number of days remaining. After the trial mode has expired, you will not able to create new projects and open the old ones. If you wish to work further with the software, you must register using the link “Register Heloc Pro now” . You will be forwarded to the registration page:

Fill in the required information and submit it. Do not forget to copy and paste your Program ID from the trial mode window! Shortly you will receive an e-mail with registration code. Put it in to trial mode window and click “Validate Code” (Not “Continue”). If everything was done correctly, you will see the following text:

You may restart your program, if the features are still blocked. It solves the problem.


Main Window

The Main Window is comprised of two main components:

Main Menu/Toolbar

Working Areas Piping/Tanks

1 | Main Menu/Toolbar
2 | Tabs
3 | Project Tabs
4 | Working Area Piping/Tanks
5 | Working Area Menu
6 | Main Data Grid


Main Menu/Toolbar

Main Window ››

There are four tabs in the Main Menu/Toolbar:

  • Home Tab
  • Reports Tab
  • Options Tab
  • Help Tab


Home Tab

Main Window ›› Main Menu/Toolbar ››

New - begin a new project. See Creating a new Project.

Open - open an existing project. See Opening an existing Project.

Close - close an opened project.

Save - save the current project.

Save All – save all opened projects.

Save As – save the open project using new name or new location .

Project Settings – specify project settings. See Project Settings.

Import - import pipes from Excel/CSV file into the Heloc Pro Project. See Importing Pipe Data from Excel or CSV.

Export - export pipes or tanks as Excel/CSV file from the Heloc Pro Project. See Exporting Pipe/Tank Data to Excel or CSV.

Recalculate All – recalculate all pipes and tanks in the current project.

Exit - quit the program Heloc Pro.


Reports Tab

Main Window ›› Main Menu/Toolbar ››

Bill of Material (Project) – generate the Bill of Materials for the complete current project including all pipes and tanks.

Bill of Material (Piping/Tanks) – generate the Bill of Materials for the pipes/tanks shown in the Main Grid.

Summary (Piping/Tanks) – generate the list of pipes/tanks shown in the Main Grid with design information.

Detail Report (Piping/Tanks) – generate the detail report of each pipe/tank shown in the Main Grid.

Electrical – generate the list of pipes shown in the Main Grid with electrical information.


Options Tab

Main Window ›› Main Menu/Toolbar ››

Program Settings − specify program settings. See Program Settings.

Thermal Insulations – view, add and edit thermal insulation types for the current project. See Thermal Insulations.

Language – select the Heloc Pro software language.


Program Settings

Main Window ›› Main Menu/Toolbar ›› Options Tab ››

Default Project Folder − set default folder where your project will be saved.

Color Scheme − specify the color Scheme for the Heloc Pro software.

Data Grid Edit Mode − there are 2 modes for editing the data in the grid.

  • Single Click − in the mode “Single Click” the cell will immediately enter edit mode when you click on cell. To use drag and drop for creating of Parent-Child Pipe Group you should continue to hold the mouse button down when you initially click on the Pipe Name field, then begin dragging.

  • Double Click − in the mode “Double Click” the cell will enter edit mode when you double click on cell. To use drag and drop for creating of Parent-Child Pipe Group you have to select the Child Line first and then holding the mouse button down drag it to the parent line.

Data Grid lines - display horizontal and vertical lines in the Main Data Grid.

Show Tree View Lines - display Tree View Lines it the Main Data Grid.


Thermal Insulations

Main Window ›› Main Menu/Toolbar ›› Options Tab ››

The list of most common thermal insulation types implemented in Heloc Pro you will find in Main Menu/Toolbar 🡪 Options 🡪 Thermal Insulations.

The default thermal insulation types are “Read-Only” and could not be edited or removed. However, there is a possibility to create custom thermal insulation types.

Add – add the custom insulation type.

Remove – remove the marked custom insulation type.

Copy – create a copy of the marked insulation type.

View/Edit – edit/view marked insulation type.

When you click “Add” or “View/Edit” the "Edit/View Insulation" - window will be opened.

Short Name – unique insulation identifier displayed in the Main Grid and on the reports.

Description – thermal insulation type description and general information.

Units – switch between the units for the thermal conductivity of the insulation (°C and W/(m∙K)) or °F and BTU-in/h-ft2-°C).

Thermal Conductivity Table - includes the thermal conductivity values at different temperatures. At least one value is required to do the calculations.

Note:

The thermal conductivity in intermediary points will be calculated by linear interpolation. If the actual temperature is out of range, the program will take the value by the nearest given temperature.

The entered values will be handled as insulation mean temperature and not as pipe maintain temperature.

If you want to use fixed thermal conductivity create a new insulation type with a single value no matter by what temperature.


Help Tab

Main Window ›› Main Menu/Toolbar ››

Help – open the Heloc Pro user manual.

About – show the current Heloc Pro software version, registration status and un-register Heloc Pro software for any reason.


Working Area Piping/Tanks

Main Window ››

After the project opening, you will see two Working Areas: one for the piping and one for the tanks. See Main Window .

Each working area includes a separate Working Area Menu and Main Data Grid .

Note:

You may rearrange or hide the Working Areas.

Go with the mouse to the border between the Working Areas until the cursor changes to the vertical double arrow.

Hold the left mouse down and move it up and down to rearrange.


Working Area Menu

Main Window ›› Working Area Piping/Tanks ››

Each Working Area includes several functions helping to work with the Main Data Grid. See Working with Main Grid .

The most functions are the same for pipes and tank, but some of them are for pipes only.

Add – add a new line to the data grid. See Add New Pipe/Tank.

Remove – remove the current line or several lines. See Remove Pipe/Tank.

Copy – copy the current line.

Paste – paste the copied line in the new line or in the current line. See Copy/Paste Pipe/Tank.

Expand All (pipes only) – show all pipes in the Main Grid, also the Children lines in the pipe groups.

Collapse All (pipes only) – show only parent pipes in the Pipe Groups.

Columns… – See Main Grid Layout (Columns Arrangement).

Show Summary Row – show summary rows in the Main Data Grid.


Main Data Grid

Main Window ›› Working Area Piping/Tanks ››

Each Main Data Grid consists of lines, which represent pipes or tanks, and columns with the related input data and design results.

See Working with Main Grid for more details.


Working with Projects

In order to work with a Heloc Pro Project, you must first either create a new project or open an existing project.

For more information:

Creating a New Project

Opening an Existing Project

Template for Projects


Creating a new Project

Working with Projects ››

To create a new project click on button New in Main Menu/Toolbar . The following window will be opened:

Folder - the place on your machine where your project will be saved. To change the directory, click on the link and browse to the required folder.

File name - give a file name to your project. Some characters may be not supported. It depends on the local settings of your machine.

Product Region - select the product region. It may influence the product portfolio and design. You could change this setting every time in Project Settings .

Units - select the preferred units. You could change this setting every time in Project Settings .

Press Ok to create the project.


Opening an existing Project

Working with Projects ››

The window Open Heloc Pro Project will appear on the screen after pressing the button Open in the Main Menu/Toolbar or launching Heloc Pro. This window contains the list of all recent projects worked with. Hover the mouse over the project name in the list and you will see the directory where it is saved. To remove the project from the list click with the right mouse and press Remove from List. If you do not find the project in the list, you can browse your computer.


Template for Projects

Working with Projects ››

Currently, there is no possibility in Heloc Pro to save the project settings, customized insulations, and heat sinks, Main Grid layout as default and use them for all future projects. However, there is another way to avoid unnecessary typing.

Create a new project, call it for example “Template for My Projects.hpf”, and save it in your working folder:

Apply your required changes in Main Grid layout, project settings, insulations, etc.

Save the project.

Now you have your template project! Use it whenever you start working on a new project.

Select your Template-Project from the list of the recent projects after program start or use Open-button in program Main Menu:

After the Template-Project is opened, press on Save as-button and save the project under the proper name in the right directory. Done! You can work on a new project with your settings.

Your Template-Project can also contain the standard pipe with your typical parameters (ambient temperature, ambient settings, insulations, etc.). Create a new pipe in your Template-Project and call it for example “My Standard Pipe”:

When you create further new pipes, you can copy parameters from your standard pipe:

You can use global paste to apply standard pipe properties to all other pipe, for example for imported pipes.


Project Settings

Working with Projects ››

There are five tabs in the Project Settings Window:

  • Description
  • Design Settings
  • Heat Sink Adders
  • Minimum Trace Ratio
  • Allowed Products

Note:

Some changes in the “Project Settings” require the recalculation of all pipes and tanks!


Description

Working with Projects ›› Project Settings ››

Units – set preferred units for the project.

Project Name – enter the name for your heat tracing project.

Project Reference No – enter the reference number for your project.

Customer Name – enter the customer name.

Customer Reference No – enter the customer reference number if any.

Customer RFQ No – enter the number of request for quotation if applicable.

Vendor Name – enter the vendor name.

Vendor Address – enter the vendor address.

Designer Name – enter the designer name.


Design Settings

Working with Projects ›› Project Settings ››

Design Region - select the design region. It may influence the product portfolio and design conditions.

Default Warning Label - select the language of warning labels.

Report Language – select the language for the reports. You can generate the reports in other to your program language.

Cladding Emissivity - enter the cladding emissivity. The value may have some impact on heat loss calculation. If you are not familiar with it, leave the default value 0.9.

Termination Allowance – specify the heater length for the power connection and end-termination.

Allowable Load Factor – set the maximal load in percent for the circuit breaker.

Type - select the circuit breaker type. This parameter may have an impact on heating circuit length calculation.

CB Sizes - enter separated by comma the nominal circuit breaker sizes, which you want to use in your project.

Advanced Heater Selection Rules – you may define some extra rules for the heater selection logic. This section is only for the experienced heat tracing designers. If you are not the heat tracing expert, leave the default settings.


Heat Sink Adders

Working with Projects ›› Project Settings ››

There is a table with the additional length for heat sinks used in the project. Depending on the heat sink type and nominal pipe size, the program will add an extra length to compensate for the increased heat loss.

There are four standard BARTEC heat sinks: pump, valve, flange and support. The BARTEC standard fittings could not be edited, but the user can create up to six his own fitting types.

The Heloc Pro uses BARTEC standard approach to handle additional cable lengths:

  1. The table includes values for typical heat sinks. Refer to the heat sink drawings for specific lengths.

  2. Pumps and valves in the table are not flanged.

  3. It is assumed, that the BARTEC standard heat sinks are insulated with the same thickness and material as the straight pipe.

  4. The values in the table present the additional length and not the total length to install. The total length to install may be calculated as follow:
    heat sink length × pipe trace ratio + additional length as per table
    To get the proper amount of cable, the heat sink length has to be included in the pipe length.

  5. The additional length will be divided among individual heating circuits and heaters, if multiple runs are applied.


Minimum Trace Ratio

Working with Projects ›› Project Settings ››

Sometimes it is required to have multiple runs of the heater the on pipe for better temperature distribution. There is a table with the Minimum Trace Ratio depending on the diameter and Maintain Temperature. You may change the values by entering the fields. By default, the Minimum Trace Ratio is set by 1 to keep the amount of required heater minimal.


Allowed Products

Working with Projects ›› Project Settings ››

Using the Allowed Products feature you may specify the products for your project. Just check the rows with the required products. It may be more convenient instead of forcing the products for each heating circuit.


Working with Main Grid

Look at the sections Main features , Editing/Entering Data and Heater Selection Results to know more about the Main Grid.


Main Features

Working with Main Grid ››

Main Grid Layout (Columns Arrangement)

Filtering/Sorting

Add New Pipe/Tank

Remove Pipe/Tank

Copy/Paste Pipe/Tank

Global Paste

Create Parent-Child Pipe Groups


Main Grid Layout (Columns Arrangement)

Working with Main Grid ›› Main Features ››

The Main Data Grids allow you to customize which columns are visible and the order in which they are shown. You can do this in two different ways:

  1. Use the “Columns…” from the Working Area Menu . You can use the check box to control visibility and you can drag column names up and down in the list to change the order that they are shown.

  2. Use mouse drag and drop directly in the grid. Just hold the left mouse button down while on a column header and drag it to a new position. The two blue vertical arrows will show, where the column will be inserted.

If you drag it off the grid, it will no longer be shown (you will see the “X” at the bottom right).

You can also adjust the width of each column. Go with the cursor to the column board until the cursor changes to horizontal double arrowhead, hold the left mouse button down and move the mouse to the right or to the left to adjust the width.

The Piping and Tank grids can each have their own layout. When you exit Heloc Pro, the layout for each grid will be saved and restored when you restart.


Filtering/Sorting

Working with Main Grid ›› Main Features ››

You can also Filter and Sort the data in the Main Data Grid. To sort the data in the columns increasing or decreasing, just click on column header.

To Filter simply click on the filter icon in a particular column and select the value you want to match.

For example, if you selected “100” in the Max Exposure column above, the resultant display would show only those lines with “Max Exposure Temp = 100”, as shown below. Also, when running a report, it will respect any filter that has been applied to the main data grid and only show data for what is visible in the grid. For example, if you choose to run a Summary report, only these lines will be included.

After creating a filter, you can disable, edit or clear filter by using features at the bottom of the grid:

The Filtering is a powerful tool, which allows you to create diverse queries – use it!


Add New Pipe/Tank

Working with Main Grid ›› Main Features ››

To add a new pipe or tank click on “Add” in the Working Area Menu .

Enter the mandatory new pipe/tank name in the text box. The new pipe/tank is a copy of an existing pipe/tank in the Main Grid.

You may select in the dropdown list the “original” pipe/tank.

Press Ok to accept the input and Cancel to decline and close the window.

Note:

You may create a copy from parent pipelines only.


Remove Pipe/Tank

Working with Main Grid ›› Main Features ››

To remove the pipes/tank click on Remove from the working are menu.

There are three fields in the list:

Remove Current Row removes the current row from the main data grid.

Remove Checked Rows could be used, if you want to remove several lines simultaneously.

Before you can use it, click Show/Hide Checkboxes and check rows to delete.

Note:

  1. All remove operations are irreversible. The removed pipes could not be restored!
  2. If you check a pipe from the pipe group, than other pipes will be also checked automatically.
  3. Deleting the Parent Line in the pipe group you can delete all Children Pipes also or convert those to the Parent Line or leave it.
    Consider the dialog box text!


Copy/Paste Pipe/Tank

Working with Main Grid ›› Main Features ››

To copy the current pipe/tank click on Copy in the working area menu.

To paste the copied pipe/tank click on Paste in the working area menu. There two ways to paste the copied pipe/tank.

Paste to Current Record will paste the copied pipe/tank in the current row. All entries will be copied except the “Pipe Name”.

By Paste to New Record the new pipe/tank with default name will created, which includes entries from the copied pipe/tank.


Global Paste

Working with Main Grid ›› Main Features ››

You can quickly copy individual data values from one Pipe or Tank to all Pipes or Tanks. Simply right-click on the piece of data that you want to copy, then select Copy Data to Other Pipes… (or Tanks).

In the next window, you can choose to copy this data to All other Pipes (Tanks), or open the Filter window (by clicking on the link) to choose a subset of Pipes (Tanks).


Create Parent-Child Pipe Groups

Working with Main Grid ›› Main Features ››

Heloc Pro supports the Parent-Child design approach. This is accomplished using mouse drag and drop. Click on the Pipe Name of the line that you wish to be the child, then drop it on the line that wish to be the Parent. You can add multiple children to the same Parent, however you can not add a Child to a Child.

Note:

If your grid edit mode is set to Single Click (see Program Settings from the Options menu), you should continue to hold the mouse button down when you initially click on the Pipe Name field, then begin dragging. If Single Click is enabled, the cell will immediately enter edit mode when you click on cell, at which point drag and drop is not available.


Editing/Entering Data

Working with Main Grid ››

To enter/edit the input information just click on data field (see Program Settings 🡪 Data Grid Edit Mode ).

Data entries for each line differ by the color:

Black: input information, could be changed by the user manually

Blue: link to the window for further input information

Red: calculated values, could not be changed by the user

If you click on data field with a link, the corresponding window will be opened.

Some text boxes from the input windows could be also duplicated/displayed in the Main Data Grid as a column.


Pipes Data

Working with Main Grid ›› Editing/Entering Data ››

Pipe Settings and Information

Reference Data

Heat Sinks and Additional Length

Child Type

Insulation Settings

Temperature Settings

Environment Settings

Area Classification

Heating Circuit Settings

Temperature Control Settings

Connection Kit Settings


Pipe Settings and Information

Working with Main Grid ›› Editing/Entering Data ›› Pipes Data ››

Pipe Name – the mandatory input data. Each pipe should have the unique name.

Note: When importing pipes with the same name, only the last pipe in the list will be imported.

Pipe Settings- Window

Click on the link in “Pipe Settings” column.

Pipe Schedule – select the pipe material and schedule from the list. It may have an influence on availability of heaters, attachments and power output performance. The choice does not have any impact on heat loss calculation.

Nominal Pipe Size (NPS) – select the NPS from the list. Depends on selected pipe schedule the pipe diameters could be in mm (DN) or inches. Each NPS corresponds to an outer pipe diameter according to the EN/ISO/ASME standards. Only the outer pipe diameter is relevant for heat loss calculation. The inside pipe diameter has an impact on heating up/cooling down considerations, which are not implemented in current Heloc Pro version.

Note:

Import only the nominal pipe sizes, but not the outer pipe diameters. Otherwise, the program converts the values incorrect.

Pipe Length – enter/edit the pipe length. According to the BARTEC standard and approach the pipe length has to include the length of all inline components (valve, pumps, flanges, bows etc.).

Heatsinks and Adders… - the link to the Heat Sinks and Additional Length input window.


Reference Data

Working with Main Grid ›› Editing/Entering Data ›› Pipes Data ››

Reference Data- Window

Click on the link in “Reference Data” column.

Here you have possibility to enter miscellaneous information (Area Name, Drawing No, Reference No, Comment) about the pipe segment. The data are not mandatory.


Heat Sinks and Additional Length

Working with Main Grid ›› Editing/Entering Data ›› Pipes Data ››

Heat Sinks and Additional Length- Window

Click on the link in “Heat Sinks and Additional Length” column.

In the table, all available heat sinks types in the project are shown. You can add a new heat sink type in Heat Sink Adders .

You may enter the heat sink quantity in the column Quantity or set the check box Use Spacing and define the Spacing between the heatsinks. By defined Spacing, the program automatically calculates the Quantity.

Absolute Heater Length – the additional heater length defined by the lump-sum number. The additional length will be divided among individual heating circuits and heaters, if multiple runs are applied.

Percentage of Pipe Length – the additional heater length defined by the percentage of the pipe length. The additional length will be divided among individual heating circuits and heaters, if multiple runs are applied.


Child Type

Working with Main Grid ›› Editing/Entering Data ›› Pipes Data ››

Child Type- Window

Click on the link in “Child Type” column by child-pipe.

Convert To Parent – the selected Child-pipe will be converted to the parent-pipe.

Use same heater as Parent – the program uses the same heater for Child as for Parent, if the check box is set. This check box is enabled only for “Power-Parallel“ Child-Type.

See Create Parent-Child Pipe Groups and Parent-Child Approach to know more.


Insulation Settings

Working with Main Grid ›› Editing/Entering Data ›› Pipes Data ››

Insulation Settings- Window

Click on the link in column "Insulation Settings".

Inner Insulation Type – select the insulation type for the inner insulation from the list. To add a new insulation type see Thermal Insulations .

Inner Thickness – enter the thickness of the inner insulation.

Use two layer insulation – setting the check box you will get the possibility to define the second layer insulation. Select the type and enter the thickness.

Note:

Do not confuse “Two layer insulation” with “Double Insulation” as defined in IEC/IEE 60079-30-2 section 5.5 (also commonly called “Sandwich insulation). The “Double Insulation” prevents the exceeding of heater maximum allowable temperature. Heloc Pro does not do such kind of calculation. By “Two layer insulation” the heater is applied to the workpiece.

Use Oversized Insulation – using the oversized insulation, you create a space between the pipe and insulation to accommodate the heater. Typically, it is applied for rigid insulation types and small pipe diameters. Set the check box and select the oversized insulation diameter from the list. This diameter will be used for heat loss calculations.


Temperature Settings

Working with Main Grid ›› Editing/Entering Data ›› Pipes Data ››

Temperature Settings- Window

Click on the link in column “Temperature Settings”.

Maintain – the temperature to maintain. This temperature is used for heat loss calculation.

Operating – the maximal temperature appearing on pipe during the normal working process.

Max. Exposure − the maximal temperature appearing on pipe outside of the normal working process e.g. during maintenance or steam cleaning.

Max. Allowable – the maximal temperature of the pipe, which must not be exceed during the heat tracing system operates normally (product protection). The program will check it taking to account the selected temperature control system.

Min. Ambient – the minimal ambient temperature. This temperature is user for the heat loss calculations.

Start-Up – the minimal ambient temperature at which you intend to switch on the heat tracing system. In may have influence on circuit breaker sizing and maximal heating circuit length.

Max. Ambient – the maximal ambient temperature.


Environment Settings

Working with Main Grid ›› Editing/Entering Data ›› Pipes Data ››

Environment Settings- Window

Click on the link in column “Environment Settings”.

Corrosive Setting – select the type of chemical exposure. Heaters with suitable outer jacket will be selected.

Location – set the location of the application. It may have an influence on heat loss calculation.

Wind Speed – enter the wind speed. It may have an influence on heat loss calculation. It is not applicable for inside applications.

Heat Loss Safety Factor – enter the safety margin, which you accept by the heat loss calculations (typically 10%-25%).


Area Classification

Working with Main Grid ›› Editing/Entering Data ›› Pipes Data ››

Area Classification- Window

Click on the link in column “Area Classification”.

Area Classification – select from the list the classification for the hazardous area. Use ordinary if the application is not in the hazardous area.

Gas/Dust Group – select the proper gas/dust group for the hazardous area.

T-rating – select the temperature class for hazardous area. Use “Custom Temperature” to enter the customized auto-ignition temperature.

Sheath Temp. Calculation – select the approach for the sheath temperature calculation. The available options depend on selected heater type.

  • Stabilized design (defined as per IEC/IEEE 60079-30-1:2015) – the program calculates the maximum sheath temperature of the heater under worst case conditions (over-voltage, max. heater tolerances, uncontrolled or highest operating temperature, no wind at maximum ambient temperature) and compares it with auto-ignition temperature.

Note:

For the self-regulating heaters the sheath temperature will not always calculated. If heaters have unconditional T-rating (product classification approach as per IEC/IEEE 60079-30-1:2015) and meet the temperature class requirements of the hazardous area, the sheath temperature will not be calculated. The displayed value in “Heater Sheath” is the maximal temperature according to the heater unconditional T-rating. If the heater unconditional T-Rating does not meet the temperature class requirements of the hazardous area, the program automatically calculates the sheath temperature using the system approach (stabilized design) and compare it with auto-ignition temperature. You can see which approach was finally used in the detailed report on by moving the cursor on the “Heater Sheath” value. Not all BARTEC self-regulating heaters have the system approach and stabilized design.

  • Control Limited (defined as per IEC/IEEE 60079-30-1:2015) - the program checks, if by the entered limiter offset for the control/limiting device the temperature class requirements of the hazardous area are met.

Limiter Setpoint – this text is available, if by "Sheath Temp. Calculation" the Control Limited was selected.


Heating Circuit Settings

Working with Main Grid ›› Editing/Entering Data ›› Pipes Data ››

Click on the link in “Heating Circuit Settings” column.

Heater

Type – select the heater type to use during the design. This choice has to be done by user. The default heater type is the “Parallel Self-Regulating”. The list it based on selected “Design Region”.

Family – the user may force the heater family. By “Auto”, the program will automatically select the suitable heater family. The list is based on selected “Type”

Catalog No. – the user may restrict the selection to a specific heater. The list is based on forced “Family”. The program will check if the forced heater can be used. By “Auto”, the program automatically select the suitable heater.

Attachment Type – the user may force the attachment type. By “Auto”, the program automatically selects the suitable attachment type. The list is based on selected “Type”.

Heating Circuit

Name – enter the heating circuit name. The information is not mandatory, but helps to identify the heating circuit.

Quantity – enter the quantity of the “side-by-side” heating circuits (see “Side-by-Side” Heating Circuits definition below). By “Auto”, the program keeps the quantity of the heating circuits minimal.

Note:

For parallel heaters the program will add additional “In-Line” heating circuits, if the maximal heating circuit length is exceeded and the pipe group has only one parent line.

Trace Ratio per Cable – enter the trace ratio for each heater in the heating circuit (see discription below), which should be realized on the current pipe segment. By “Auto”, the program keeps the trace ratio per cable minimal.

Note:

Ensure, that the forced number of runs could be installed on pipe. Refer to the heaters installation manuals and data sheets. The validation happens only by “Auto”.

Note:

When you force the Trace Ratio per Cable, but more heater runs are required, the program will add additional “side-by-side” heating circuits with forced Trace Ratio unless the Heating Circuit Quantity not forced. Check the calculated Pipe Trace Ration and Heating Circuit Quantity.

Supply Voltage / Configuration – enter the supplied voltage for the heating circuit and select the configuration. For three-phase systems, the supply voltage is phase-to-phase voltage.

Heater Operating Voltage – based on the selected configuration and entered supply voltage the program calculates the applied voltage to the each heater in the heating circuit.

CB Size – select the nominal size of the overcurrent device to protect the heating circuit. The list could be extended in Design Settings.

CB for each Heating Circuit – check this box if you plan the separate circuit breaker for each heating circuit.

Trace Ratio per Cable – the trace ratio realized with a single heater in the heating circuit.

 | Parallel heater Design #1 | Parallel heater Design #2 | Series heater (single core) Design #3 | Series heater (single core, STAR) Design #4
Heater qty. | 2 heaters | 1 heater | 1 heater | 3 heaters
Trace ratio per cable | 1 | 2 | 2 | 1
Total trace ratio | 2 | 2 | 2 | 3

Two "In-line" heating circuits. Each has a separate CB | Two "Side-by-side" heating circuits. Each has a separate CB


Temperature Control Settings

Working with Main Grid ›› Editing/Entering Data ›› Pipes Data ››

Click on the link in “Temperature Control Settings” column.

Control Method – select the temperature control method for the heating circuit. The selected control method is taken to account by calculation of nominal Min. and Max. Workpiece Temperature. It is also has an impact on heater selection.

  • Line Sensing - The control system measures the workpiece temperature and control the heating circuit power.

  • Ambient Sensing - The control system measures the ambient e temperature and control the heating circuit power.

  • No control - There is no control.

Note:

By “No control” or “Ambient sensing” the energized heater has to withstand the Max. Exposure temperature. By “Line sensing” it is assumed, that the heater will be switched-off, when the Operating or max. Exposure temperatures occur. The switch point deviation and hysteresis have to be taken to account especially by mechanical controllers.

Device Type – specify the device type. You can select “Senor only” if you use your own our remote device.

Local Device – you may select a specified device from the list based. By “Auto”, the program selects the device automatically.

Sensor located on this segment – this check box is set, is the sensor located on current pipe segment. The location of the temperature sensor has an impacton the temperature calculation in the pipe group. You can change the sensor location in the Main Grid, column “Sensor Location”.

You may enter optional identifying information such as Power Box Tag, Sensor Tag and Panel Tag.


Connection Kit Settings

Working with Main Grid ›› Editing/Entering Data ›› Pipes Data ››

Click on the link in “Connection Kit Settings” column.

Here you may specify the connection kits to be used in the pipe group.


Tanks Data

Working with Main Grid ›› Editing/Entering Data ››

Tank Settings and Information

Tank heat sinks

Reference Data

Insulation Settings

Temperature Settings

Environment Settings

Area Classification

Heating Circuit Settings

Temperature Control Settings

Connection Kit Settings


Tank Settings and Information

Working with Main Grid ›› Editing/Entering Data ›› Tanks Data ››

Tank Name - is the mandatory input information. Each tank must have a unique name.

Tank Configuration Window

Click on the link in “Tank Style” column

Body

Style – select the tank body style from the list.

Wall Material – enter the material of the wall.

Diameter (D) – enter the diameter for cylinder or spherical tank body. The sketch in dialog box “Example” illustrates the required dimensions.

Height (H) – enter the height for vertical cylinder or rectangular tank body. The sketch in dialog box “Example” illustrates the required dimensions.

Available Area – enter the percent of the total insulated body area which is available for heating cable installing. After the percentage, the calculated area is displayed in m².

Total Area – shows the total calculated tank area including top / ends / bottom.

Body Area – shows the calculated area of cylindrical surface or – for square tanks – the area of the 4 longest surfaces.

Length (L) – enter the length for horizontal cylinder or rectangular tank body. The sketch in dialog box “Example” illustrates the required dimensions.

Width (W) – enter the width for rectangular tank body. The sketch in dialog box “Example” illustrates the required dimensions.

Insulation Height – enter the height of insulation on the tank.

Max. Fluid Level – enter the maximum fluid level.

Wall Thickness – enter the thickness of the wall material of the tank.

Top/Ends

Style - select the top/ends style from the list. The program calculates the area of the domed surface automatically.

Available Area – enter the percent of the total top/ends area which is available for heating cable installing. After the percentage, the calculated area is displayed in m².

Top / Ends Area – shows the calculated Top or Ends surface.

Height (Ht) – enter the conical height. It is only available for a conical top on vertical tanks. The sketch in the dialog box “Example” illustrates the required dimensions.

Insulated (Check-Box) – Are top or ends insulated? (yes/no) If the insulation height in the body area is smaller than the tank height (for vertical cylinder or rectangular) or tank diameter (for horizontal cylinder or spherical), then the value is automatically set to not insulated.

Bottom

Style - select the bottom style from the list. The program calculates the area of the domed surface automatically.

Height (Hb) – enter the conical or truncated height. Only available for a conical or truncated bottom on vertical cylinder or rectangular tanks. The sketch in the dialog box “Example” illustrates the required dimensions.

Diameter (d) – enter the small diameter of truncated bottom by vertical cylinder tank. The sketch in dialog box “Example” illustrates the required dimensions.

Available Area – enter the percent of the insulated total top/ends area which is available for heating cable installing. After the percentage, the calculated area is displayed in m².

Length (l) – enter the length of truncated bottom by rectangular tank. The sketch in dialog box “Example” illustrates the required dimensions.

Width (w) – enter the width of truncated bottom by rectangular tank. The sketch in dialog box “Example” illustrates the required dimensions.

Bottom Area – shows the calculated bottom surface. (For informational purposes only.)

Insulated (Check-Box) – Is the bottom insulated? (yes/no) This setting is available for domed, conical or truncated bottom style. For tanks on the slab the bottom automatically considered as not insulated.

Support Details

Style – select the support style from the list. The list filtered by body and bottom style. For example, the saddles are available for horizontal cylinder only or for domed bottom the concrete slab could not be selected.

Quantity – enter the quantity of supports (legs or saddles).

Perimeter (P) - enter the perimeter of the support cross-section contacted with a tank area. The sketch in dialog box “Example” illustrates the required dimensions.

Area (A) – enter the area of the support cross-sectione in contact with a tank. The sketch in the dialog box “Example” illustrates the required dimensions.

Heat Sinks – link to the Heat Sinks Window .

Support insulated (Check-Box) – Are supports insulated? (yes/no)

Use support calc values (Check-Box) – if it is checked then Perimeter and Area are disabled and you see calculated values. Applicable only for saddles for the moment. If it is not checked you can insert your own values.

Design options

Use Minimum Heater Length - Using this approach, the program will calculate minimum heater amount sufficient to compensate the heat loss. You have to specify the Maximal Heater Output. Based on specified maximal Heater Output the heater length and the spacing will be automatically calculated. The Spacing less than 50 mm is not allowable.

Cover all available Area - Using this approach, the program will cover all available area with specified Spacing. Then the required heater output will be calculated automatically. You have to define the Spacing. The Spacing less than 50 mm is not allowable.

Heating Circuit Qty – enter the quantity of the heating circuits. By “Auto”, the program keeps the quantity of the heating circuits minimal.


Tank Heat Sinks

Working with Main Grid ›› Editing/Entering Data ›› Tanks Data ››

Click on the link in “Heat Sinks” column or on the link in Tank Configuration Window > Heat Sinks

Add – this button adds a new row in the Heat Sinks Table. (Default heat sink is ‘Manhole’. You can add a maximum of 6 lines.)

Remove Current Row – this button removes selected row from Heat Sinks Table.

Heat Sink Type - asks you to select manhole, ladder or nozzle as heat sink type via drop down. (Depending on your selection, correspondent columns are activated.)

Quantity – enter quantity of the same heat sink(s) on this tank.

Diameter – enter diameter from heat sink. (Is available for manholes and nozzles.)

Height – enter height from heat sink. (Is available for manholes and nozzles.)

Insulated – is/are heat sink(s) insulated? (Is available for manholes and nozzles.)

Above Fluid Level – is/are heat sink(s) above fluid level?

Contact Points – enter number of contact points from ladder(s). (Is available for ladder(s).)

Perimeter – enter perimeter of the single contact point from ladder(s). (Is available for ladder(s).)

Area – enter area of the single contact point from ladder(s). (Is available for ladder(s).)

Total Heat Loss – calculated total heat loss per row.


Reference Data

Working with Main Grid ›› Editing/Entering Data ›› Tanks Data ››

Reference Data- Window

Click on the link in “Reference Data” column.

Here you have possibility to enter miscellaneous information (Area Name, Drawing No, Reference No, Comment) about the pipe segment. The data are not mandatory.


Insulation Settings

Working with Main Grid ›› Editing/Entering Data ›› Tanks Data ››

Insulation Settings- Window

Click on the link in column "Insulation Settings".

Inner Insulation Type – select the insulation type for the inner insulation from the list. To add a new insulation type see Thermal Insulations .

Inner Thickness – enter the thickness of the inner insulation.

Use two layer insulation – setting the check box you will get the possibility to define the second layer insulation. Select the type and enter the thickness.

Note:

Do not confuse “Two layer insulation” with “Double Insulation” as defined in IEC/IEE 60079-30-2 section 5.5 (also commonly called “Sandwich insulation). The “Double Insulation” prevents the exceeding of heater maximum allowable temperature. Heloc Pro does not do such kind of calculation. By “Two layer insulation” the heater is applied to the workpiece.


Temperature Settings

Working with Main Grid ›› Editing/Entering Data ›› Tanks Data ››

Temperature Settings- Window

Click on the link in column “Temperature Settings”.

Maintain – the temperature to maintain. This temperature is used for heat loss calculation.

Operating – the maximal temperature appearing on pipe during the normal working process.

Max. Exposure − the maximal temperature appearing on pipe outside of the normal working process e.g. during maintenance or steam cleaning.

Max. Allowable – the maximal temperature of the pipe, which must not be exceed during the heat tracing system operates normally (product protection). The program will check it taking to account the selected temperature control system.

Min. Ambient – the minimal ambient temperature. This temperature is user for the heat loss calculations.

Start-Up – the minimal ambient temperature at which you intend to switch on the heat tracing system. In may have influence on circuit breaker sizing and maximal heating circuit length.

Max. Ambient – the maximal ambient temperature.


Environment Settings

Working with Main Grid ›› Editing/Entering Data ›› Tanks Data ››

Environment Settings- Window

Click on the link in column “Environment Settings”.

Corrosive Setting – select the type of chemical exposure. Heaters with suitable outer jacket will be selected.

Location – set the location of the application. It may have an influence on heat loss calculation.

Wind Speed – enter the wind speed. It may have an influence on heat loss calculation. It is not applicable for inside applications.

Heat Loss Safety Factor – enter the safety margin, which you accept by the heat loss calculations (typically 10%-25%).


Area Classification

Working with Main Grid ›› Editing/Entering Data ›› Tanks Data ››

Area Classification Window

Click on the link in column “Area Classification”.

Area Classification – select from the list the classification for the hazardous area. Use ordinary if the application is not in the hazardous area.

Gas/Dust Group – select the proper gas/dust group for the hazardous area.

T-rating – select the temperature class for hazardous area. Use “Custom Temperature” to enter the customized auto-ignition temperature.

Sheath Temp. Calculation – select the approach for the sheath temperature calculation. The available options depend on selected heater type.

  • Stabilized design (defined as per IEC/IEEE 60079-30-1:2015) – the program calculates the maximum sheath temperature of the heater under worst case conditions (over-voltage, max. heater tolerances, uncontrolled or highest operating temperature, no wind at maximum ambient temperature) and compares it with auto-ignition temperature.

Note:

For the self-regulating heaters the sheath temperature will not always calculated. If heaters have unconditional T-rating (product classification approach as per IEC/IEEE 60079-30-1:2015) and meet the temperature class requirements of the hazardous area, the sheath temperature will not be calculated. The displayed value in “Heater Sheath” is the maximal temperature according to the heater unconditional T-rating. If the heater unconditional T-Rating does not meet the temperature class requirements of the hazardous area, the program automatically calculates the sheath temperature using the system approach (stabilized design) and compare it with auto-ignition temperature. You can see which approach was finally used in the detailed report on by moving the cursor on the “Heater Sheath” value. Not all BARTEC self-regulating heaters have the system approach and stabilized design.

  • Control Limited (defined as per IEC/IEEE 60079-30-1:2015) - the program checks, if by the entered limiter offset for the control/limiting device the temperature class requirements of the hazardous area are met.

Limiter Setpoint – this text is available, if by "Sheath Temp. Calculation" the Control Limited was selected.


Heating Circuit Settings

Working with Main Grid ›› Editing/Entering Data ›› Tanks Data ››

Click on the link in “Heating Circuit Settings” column.

Heater

Type – select the heater type to use during the design. This choice has to be done by user. The default heater type is the “Parallel Self-Regulating”. The list it based on selected “Design Region”.

Family – the user may force the heater family. By “Auto”, the program will automatically select the suitable heater family. The list is based on selected “Type”

Catalog No. – the user may restrict the selection to a specific heater. The list is based on forced “Family”. The program will check if the forced heater can be used. By “Auto”, the program automatically select the suitable heater.

Attachment Type – the user may force the attachment type. By “Auto”, the program automatically select the suitable attachment type. The list is based on selected “Type”.

Heating Circuit

Name – enter the heating circuit name. The information is not mandatory, but helps to identify the heating circuit.

Quantity – enter the quantity of the heating circuits. By “Auto”, the program keeps the quantity of the heating circuits minimal.

Supply Voltage / Configuration – enter the supplied voltage for the heating circuit and select the configuration. For three-phase systems, the supply voltage is phase-to-phase voltage.

Heater Operating Voltage – based on the selected configuration and entered supply voltage the program calculates the applied voltage to each heater in the heating circuit.

CB Size – select the nominal size of the overcurrent device to protect the heating circuit. The list could be extended in Design Settings.


Temperature Control Settings

Working with Main Grid ›› Editing/Entering Data ›› Tanks Data ››

Click on the link in “Temperature Control Settings” column.

Control Method – select the temperature control method for the heating circuit. The selected control method is taken to account by calculation of nominal Min. and Max. Workpiece Temperature. It also has an impact on heater selection.

  • Line Sensing - The control system measures the workpiece temperature and control the heating circuit power.

  • Ambient Sensing - The control system measures the ambient e temperature and control the heating circuit power.

  • No control - There is no control.

Note:

By “No control” or “Ambient sensing” the energized heater has to withstand the Max. Exposure temperature. By “Line sensing” it is assumed, that the heater will be switched-off, when the Operating or max. Exposure temperatures occur. The switch point deviation and hysteresis have to be taken separately to account especially by mechanical controllers.

Device Type – specify the device type. You can select “Senor only” if you use your own our remote device.

Local Device – you may select a specified device from the list based. By “Auto”, the program selects the device automatically.

You may enter optional identifying information such as Power Box Tag, Sensor Tag and Panel Tag.


Connection Kit Settings

Working with Main Grid ›› Editing/Entering Data ›› Tanks Data ››

Click on the link in “Connection Kit Settings” column.

Here you may specify the connection kits to be used for heating circuits.


Heater Selection Results

Working with Main Grid ››

Calculated Values

BOM


Calculated Values

Working with Main Grid ›› Heater Selection Results ››

Pipe Heat Loss – calculated heat loss per meter pipe including the safety factor at minimum ambient temperature.

Total Heat Loss - calculated total tank heat loss including the heat loss through supports or slab and safety factor.

Selected Heater – selected heater Catalog No.. If the heater was forced by the user, an asterisk will be added to the catalogue number. For example, “20MSB2-CT*”. If you click on Catalog No. a popup window with Calculated Values and BOM for that line will be shown.

Cable Set Tag – includes the information about the MI heating circuit such as heater Catalog No, cold leads, heating circuit length (hot part), operating voltage, current and power. For example, EMK VA 0630 ST/CLM25/24,4m/110v/7,1A/783w.

You will find the Cable Set Tag in the BOM in Calculated Results window.

To get a list of the Cables Set Tags you have to export it (see Exporting Pipe/Tanks Data to Excel or CSV ). In the BOM you will find only a bulk for each heater.

Heater Output – the nominal heater power output at maintain temperature.

Pipe Trace Ratio – total cable trace ratio installed on pipe.

Heating Circuit Quantity- the quantity of heating circuits.

CB quantity – the quantity of circuit breakers.

Heater Total Length – total heater length installed on current pipe.

Maximal current – the maximal steady state current, which the heating circuit draws at startup temperature. The maximal current is considered by circuit breaker sizing.

Operating current – the nominal current, which the heating circuit draws at maintain temperature.

Operating Power – operating power at maintain temperature.

Max. Heater Sheath – the maximal heater sheath temperature. Hover the cursor over the value to see the applied sheath temperature calculation method.

Nominal Heater Sheath – the heater sheath temperature calculated during the normal operating at nominal conditions.

Note: The Nominal Heater Sheath Temperature and the Maximal Heater Sheath Temperature serve different purposes, are determined at different conditions and assumptions, and could not be compared directly.

Uncontrolled (worst case)– the maximal runaway workpiece temperature calculated at worst conditions and used by stabilized design for the maximal sheath temperature calculation. The worst conditions include as per 60079-30:2015:

  • maximum ambient temperature
  • no wind
  • minimum value for the thermal conductivity of the thermal insulation
  • the trace heater is operated at its stated operating voltage plus 10 %;
  • the trace heater is assumed to be at the upper limit of the manufacturing tolerance, or at the minimum specific resistance for series trace heaters
  • no temperature control by design or to simulate a failed temperature controller

Max. / Min. Workpiece temperature at Control Method (nominal)– the maximal/minimal workpiece temperature calculated at nominal conditions under selected control method. The nominal conditions include:

  • maximal / minimal ambient temperature
  • specified environment conditions
  • nominal value for thermal conductivity of the thermal insulation and specified safety factor
  • selected temperature control method
  • specified operating voltage (no overvoltage), nominal power output or nominal resistance

By line sensing control method (temperature sensor is on the workpiece) the program assumes, that the controller switch-on or switch-off the trace heating system as soon as the workpiece temperature is equal to the required maintain temperature. The switch-point deviations and hysteresis of temperature controller/sensor are not taken to account.

By ambient sensing control method (temperature sensor is in the ambient) the program assumes, that the controller switch-off the system as soon the ambient temperature exceeds the required maintain temperature. It is expected, that the ambient sensing is only used, when the required maintain temperature less than maximal ambient temperature.

Mean temperature – the mean temperature of thermal insulation is the mean value from temperatures on inside and outside insulation surface. The mean temperature is used for thermal conductivity estimation as recommended in IEC/IEEE standards.

Thermal conductivity –thermal conductivity of the thermal insulation evaluated at mean temperature.

Outer Air Film Coefficient – the thermal coefficient, which describes the heat transfer in to ambient. The wind velocity affects the value.

Trace Heater Quantity – the quantity of heating circuit heaters installed on current pipe.

Power on pipe – total applied power per meter pipe.

Heating Circuit Length – the heating circuit length. See definition “ Heating Circuit ”.

Max. Heater length per CB – the total length of the selected heater, which could be protected with a specified single joint circuit breaker at specified start-up temperature. This value is relevant for parallel heaters especially for self-regulating heaters.

Max. Trace Heater Length - the length of the one continuous trace heater. This can be a single trace heater or the sum of the length of trace heaters connected in series by a splice. In case of a “tee” the sum of the lengths of the trace heaters.

Series Heater Length – the length of the continuous series heater.

Total Series Heater Resistance (nominal) – the nominal resistance of the continuous series heater at 20°C bus wire temperature.

Total Series Heater Resistance (operating) – the nominal resistance of the continuous series heater at operating bus wire temperature. Heater is energized at nominal voltage and the workpiece has the required maintain temperature.

Area – surface area of the body, top/ends or bottom.

Total area – total surface area of the tank including body, top/ends and bottom areas.

Total insulated area – total insulated surface area of the tank.

Heat Loss Rate – heat loss through the 1 m2 or 1 ft2 of the insulated area.

Tank – the heat loss through the total tank area.

Slab/Supports – extra heat loss through the slab or supports.

Safety Margin – the heat loss part added by safety factor.

Total Heat Loss – total heat loss including the safety margin, heat loss through slab or supports and uninsulated manholes.


BOM

Working with Main Grid ›› Heater Selection Results ››

In the "Selected Heater" column, just click on the heater Catalog No. and a popup window will be shown. You can view the BOM for that line, along with some calculated results.

You also have access to the Detail Report for that line.


Importing/Exporting

Importing Pipe Data from Excel or CSV

Exporting Pipe/Tank Data to Excel or CSV


Importing Pipe Data from Excel or CSV

Importing/Exporting ››

When you have a Heloc Pro project open, you can import Pipe data from an XLSX or CSV by using the Import 🡪 Pipes from Excel/CSV main menu button (import of Tanks is not supported in the current release). Some tips for a smooth operation:

  1. Create a “template” line(s) in your project (you can name it anything you want, during the import process in Step #3 below, you will be able to select the line to use for a template). Make sure the settings for this line represent a good baseline for your project. Things like Area Classification, Pipe Schedule, Insulation Type, etc. can be difficult (or impossible) to import because Heloc Pro expects a specialized data value to be present. For most projects, these and other data values often do not change from pipe to pipe, so just get your template setup properly and only import the data that changes from pipe to pipe.

  2. Your XLSX needs to be very simple in format. Here are a few basic rules:
    1. Only the first row can be used for the header row. We definitely suggest that you do include a header row to make it easier to reference the data in Step #3 below.
    2. Data in the cells should be very simple. For numeric data (like temperatures or pipe lengths), the cells should only contain numerical data, no alpha characters. For example, make sure there are no temperature or length unit labels in the cell data.
    3. Typical linelists often need to be “cleaned” before using for import. And as mentioned in Step #1, keep the number of imported fields to the minimum possible. Only import the fields that change from line to line.
    4. Here is a sample of very simple XLSX file:

  3. Using the above XLSX, here is what the resulting Import window would look like:

As you can see, the main objective of the import window is to allow you to assign Heloc Pro field names to each column. There is a maximum of 30 columns available. This allows Heloc Pro to send the data to the correct spot. On the left side of the window, there are settings that will control how the XLSX data is interpreted:

General Settings

Ignore First Row: - This tells Heloc Pro that the first row is used for header data and should not be considered during import.

Copy From: - This drop down selection will tell Heloc Pro which existing line in the Heloc Pro project that should be used as the “template” during the import process. When importing, Heloc Pro will make a new copy of the template line and then overwrite any fields that are specified in the XLSX.

Specify Units Used in XLSX

Data Units: - This tells Heloc Pro how to interpret the numbers in columns used for Temperature, Pipe Length, Insulation Thickness, etc.

Pipe Dia Units: - This tells Heloc Pro how to interpret the numbers in column used for Pipe Diameter.

Duplicate LineID Options

Skip: - This tells Heloc Pro how to skip over any Line Names that already exist in the project.

Overwrite: - This tells Heloc Pro to overwrite any data with matching Line Names with data from the XLSX.

Rename with suffix: - If the Line Name in the XLSX matches a Line Name that already exists in the project, then a new line will be added and a unique Line Name will be created. The unique name will be created by appending a numerical suffix to the original Line Name. For example, if “Line 1-DN200-FO” exists in the project, a new line would be added to the project and the name would be changed to “Line 1-DN200-FO-001”. The suffix will be incremented as necessary to create a unique name (-001, -002, -003 and so on).

Note:

In general, if the imported values have different units to the project units, the Heloc Pro will try to convert them. But it may cause some deviation by rounding etc. We do not suggest to do it.


Exporting Pipe/Tank Data to Excel or CSV

Importing/Exporting ››

You can Export Pipe and Tank data to XLSX or CSV. On the Main Menu, click on Export 🡪 Pipes to Excel/CSV or 🡪 Tanks to Excel/CSV. The Export window will contain a grid that is similar to the main Pipe and Tank data entry grids, however the data will be formatted for export purposes. You can arrange the column position and visibility in the same way as the Main Grids (see above). The layout will be saved and reused for subsequent export operations. (In a future release, we plan to allow saving/restoring named layouts.)


Reports

To create a report, go to the Main Menu Tool Bar, “Reports” tab. There are several types of reports in Heloc Pro:

Bill of Materials – provides the bill of materials for pipes, tank or entire project.

Detail Report – includes the input information and calculated results for each pipe or tank in the project.

Summary – the list of all pipes or tanks with common data for each line.

Electrical – the list of all pipes with electrical information.

Note:

Using the Main Menu Tool Bar the reports will be created only for pipes and tanks displayed in the Main Grid. Check the Main Grid filters before you create the reports. Only the BOM for entire project ignores the filter condition.

Note:

Use right-clicking on the single pipe or line to create a report for a current line.


Report Toolbar

Reports ››

When creating the report, the preview window will be opened.

There is a tool bar in this window with the following features:

Print… - specify page settings and print the document.

Page Setup… - adjust the document’s page settings.

Scale – stretch or shrink the document’s content to a percentage of its actual size.

First Page – navigate to the document first page.

Last Page – navigate to the document last page.

Next Page – navigate to the document next page.

Previous Page – navigate to the document next page.

Navigation Pane – show the navigation page, which allows you to search for a specific text and navigate through the document.

Zoom Out – zoom out to see more of the page at a reduced size.

Zoom – change the current zoom factor of the document preview.

Zoom In – zoom in to get a clos-up view of the document.

Page Layout – select how many pages to show side-by-side.

Enable Continuous Scrolling – enable continuous scrolling between pages in a single or two pages view.

Show Cover Page – show the document’s first page separately or alongside the next page in two pages view.

XLS File – export the current report to an Excel-XLS file.

PDF file – export the current report to a PDF file.

DOCX file – export the current report to a Word-DOCX file.

Remove Filter – remove the current filter condition.

Close – close the window.


Parent-Child Approach

Using the Parent-Child Approach you may optimize your heat tracing design and reduce the quantity of the heating circuits.

For example, sometimes it is suitable to have a common heating circuit for the physically connected pipelines, which are separately listed in the customer pipeline list. Or for frost protection applications several pipelines could be controlled by a common temperature controller with ambient sensing.

Incorporating multiple pipe segments together into the Pipe Group and assigning Line Types you may reproduce complex pipe configurations (See Create Parent-Child Pipe Groups ). The program will check the design and automatically include the proper components in the BOM and adjust their quantities.

The Heloc Pro does not say, which pipes have to be combined and how. It is the responsibility of the engineer and normally arises from the analysis of isometrics drawing and PI&Ds. But the program provides the opportunity to realize and to check engineer's ideas.

Pipe Group and Line Types

Pipe Group Trace Ratio

Pipe Group Temperature Calculation


Pipe Group and Line Types

Parent-Child Approach ››

A Pipe Group consists of a Parent Line and at least one Child Line. The Parent Line is always that line to which you add a pipeline, which will be called a Child Line. There are some rules to consider by creating a Pipe Group:

  • You may add multiple Children to the Parent, but you are not able to add Child to a Child.
  • You are not able to combine the pipelines with different heater types.

The Child Line inherits the design-related parameters of the Parent Line. Especially:

  • Heating Circuit Settings
  • Temperatures (Maintain, Operating, Exposure, Start-Up).
  • Temperature Control Settings
  • Area Classification
  • Connection Kit Settings

Warning:

Data Loss! The Children's properties will be overwritten and there is no way to restore them.

Note:

The position of the temperature sensor has an impact on temperature calculation in the Pipe Group. See Temperature Settings .

Note:

Some parameters in Heating Circuit Settings may be forced for the Children. See Heating Circuit Settings .

The Line Type describes the position of the pipe and the heater routing in a Pipe Group. There are several Line Types in Heloc Pro:

  • Parent
  • Continuation

short key for import “C”
  • Loop

short key for import “L”
  • Splice-Mid leg (no End Seal)

short key for import “SM”
  • Splice-End leg

short key for import “SE
  • Tee-Mid leg

short key for import “TM”
  • Tee-End leg (no JB)

short key for import “TE”
  • Power Parallel (separate JB)

short key for import “PP”
  • Power Splice (shared JB)

short key for import “PS”
  • Power Tee (shared JB)

short key for import “PT”

The list of Line Types depends on the selected heater type. For example, for series heaters, the Line Types Tee-Mid leg, Tee-End leg (no JB), and Power Tee (shared JB) are not available.

To change the Line Type, see Child Type Window.

Parent

Each new added or imported pipeline has by default a Line Type "Parent". A Parent Line will have a power connection kit and may have the end seal depends on further configuration. Note, that some BARTEC power connection kits for self-regulating heaters include per default a cold applied silicon end seal, which is not separately shown in the BOM. If the Parent-Child Approach is not convenient for you, you can design only with Parent Lines.

Continuation

Use a Continuation to handle a pipeline, which is a segment of another pipe, but has a different diameter or insulation thickness and that is why identified separately. The program will use the same heater for both pipe segments. The BOM for a Continuation does not include power connection kits and end seals, only the heater, attachment materials, and warning labels.

Loop

Loop returns to its point of origin on the pipe segment and uses the same heater as the Parent line. This is a good way to handle short piping tee sections. The Trace Ratio of the Loop is always two by a single-phase voltage type and the double of the Parent Trace Ratio by a three-phase voltage type. The BOM for a Loop does not include power connection kits and end seals, only the heater, attachment materials, and warning labels.

Splice-Mid Leg

Splice-Mid Leg is a line that is spliced to another line. For example, for maintenance purposes some pipes segments or instruments should be removed. Then you can just unsplice the heater instead of cutting and new installing. The BOM includes a splice kit but does not include an end seal. If no further lines are connected, don't use the Splice-Mid Leg, but the Splice-End Leg segment.

Splice-End Leg

Splice-End Leg is a line that is spliced to another line. The BOM includes a splice kit and an end seal.

Tee- Mid Leg

Tee-Mid Leg is a line that is connected to a tee connection kit. It is another way to handle piping tee sections. The power comes from its Parent. The BOM, it includes a tee connection kit and an end seal.

Tee-End (no JB) Leg

Tee-End Leg is a line that is connected to a tee connection kit. The difference from the Tee-Mid Leg is that the end segment does not include the tee connection kit. The BOM typically just includes an end seal depending on the design.

Power Parallel (separate JB)

Power Parallel is a line with its own power connection kit electrically connected to the same circuit breaker as the Parent. This Line Type could be used for example, if you want to control several pipes by ambient temperature with a single temperature controller. The Power Parallel Line may have another heater as the Parent Line. Unset the check box "Use the same heater as Parent" in the Child-Type Window to have another heater.

Power Splice (shared JB)

Power Splice is a line that is powered from the same power connection kit as the Parent. Use this Line type if what to put the power connection kit in the middle of the pipe segments. The BOM may include a termination kit and an end seal depending on the design.

Power, Tee

Power, Tee is one of the two lines, that is powered from the same power connection kit as the Parent. In the Pipe Group should be two Power Tee lines. The BOM does not include a power kit but typically an end seal depending on the design.


Pipe Group Trace Ratio

Parent-Child Approach ››

In automatic mode, the program sets the same Trace Ratio for all pipe segments within a Pipe Group. The program tries to keep the Trace Ratio minimal and fulfill the Minimum Trace Ratio requirement for each pipe segment.

Also you may force the Trace Ratio for each pipeline in the Pipe Group individually. But be aware and check, if the forced Trace Ratio is possible regarding the heater routing for the entire Pipe Group. For example, there are two pipe segments in the Pipe Group: Parent and Continuation. The Parent has the Trace Ratio = 2 and you force the Trace Ratio = 1 on the Continuation. The program does not give any error or warning although this heater routing is impossible.

Ensure, that the forced number of runs could be installed on the pipe. Refer to the heaters installation manuals and data sheets. The validation happens only by “Auto”.


Pipe Group Temperature Calculation

Parent-Child Approach ››

The location of the temperature sensor has an impact on the temperature calculation in the Pipe Group. The program provides a warning message if temperature limitations were exceeded.

You can change the sensor location in the Main Grid, column “Sensor Location”.


Glossary

Heating Circuit consists of one or more trace heater units grouped by a common power termination. The trace heater unit can be made of a single trace heater segment or multiple segments connected by a splice or for a tee.

Trace Heater Unit comprises the power termination a trace heater segment and an end termination.

Heating Circuits Group consists of one or more trace heating circuits merged by a common branch circuit with a joint over current device.


Warning Messages

A warning message does not prevent the solution. But do not ignore the warning messages. The user assumes responsibility. Several warning messages could be displayed simultaneously.

Note:

You can also use the filter in the column “Status” to show only pipes with warnings.


The heating circuit length is too long

Warning Messages ››
  • The heating circuit length is too long. Make changes to reduce the length of heater required.

A typical warning message for the parallel heaters. The maximal heater length was exceeded. Because there are several pipe segments in the Pipe Group the additional “In-Line” circuit could not be added. Rearrange the Pipe Group.


Segment Startup Current exceeds Max Breaker Size

Warning Messages ››
  • Segment Startup Current exceeds Max Breaker Size.

Select the next biggest circuit breaker. Or increase the start-up temperature. Or reduce the heating circuit length.


Operating current is too high, custom cold lead required

Warning Messages ››
  • Operating current is too high, custom cold lead required. Consider redesign to reduce current.

Contact BARTEC for customized cold leads.


Cable hot length exceeds Max. Unjointed Length

Warning Messages ››
  • Cable hot length exceeds Max. Unjointed Length. Multiple cable sets will be required.

Contact BARTEC for more information.


Operating current exceeds the controller rating

Warning Messages ››
  • Operating current exceeds the controller rating. Suggest using multiple circuits.

Try to force another temperature controller.


Suitable Heater Attachment not found

Warning Messages ››
  • Suitable Heater Attachment not found. The Exposure Temp is too high.

Contact BARTEC for alternatives.


Uncontrolled temperature exceeds Heater Max Exposure Temp

Warning Messages ››
  • Uncontrolled temperature exceeds Heater Max Exposure Temp. Do not allow uncontrolled operation.

In fault case, under worst conditions specified in IEEE/IEC the heater could be damaged. You may use a heater family with a bigger withstand temperature.


Min. Workpiece Temp is below Maintain Temp

Warning Messages ››
  • Min. Workpiece Temp is below Maintain Temp. Suggest moving temperature sensor to another pipe segment.


Max. Workpiece Temp is above Max Allowable Temp

Warning Messages ››
  • Max. Workpiece Temp is above Max Allowable Temp. Suggest moving temperature sensor to another pipe segment.


Error Messages

An error message prevents the solution. The user has to undertake some activities to get an answer.

Note:

You can also use the filter in the column “Status” to show only pipes with errors.


Voltage is out of range

Error Messages ››

Voltage is out of range.

The voltage is out of range for the specified heater type. Check the voltage range in the heater data sheet. Or change the heater type.


No heaters are compatible with the Wall Material

Error Messages ››

No heaters are compatible with the Wall Material.

There are no heaters, which could be installed on selected wall material of a pipe or a tank. For example, the high temperature self-regulating heaters typically are not suitable for plastic walls.


No heaters are compatible with the Chemical Exposure settings

Error Messages ››

No heaters are compatible with the Chemical Exposure settings.

There are no heaters, which could withstand the specified chemical exposure. Check the forced over jacket or change the heater type.


No heaters are compatible with the Attachment method

Error Messages ››

No heaters are compatible with the Attachment method.

There are no heaters, which could be fixed with the specified attachment method.

For example, the self-regulating heaters or series polymer insulated heaters could be fixed with metallic straps because the overjacket will be damaged. Check the forced attachment method.


No heaters are compatible with the Area Classification

Error Messages ››

No heaters are compatible with the Area Classification.

There are no heaters, which could be applied in specified hazardous area. Check the Area Classification


Max. Operating Temperature is too high

Error Messages ››

Max. Operating Temperature is too high.

There are no heaters, which could withstand the specified Operating Temperature. Use the Line Sensing controller or select another heater type.


Max. Exposure Temperature is too high

Error Messages ››

Max. Exposure Temperature is too high.

There are no heaters, which could withstand the specified Exposure Temperature. Use the Line Sensing controller or select another heater type.


Maintain Temperature is too high

Error Messages ››

Maintain Temperature is too high.

There are no heaters, which could maintain the specified temperature. Check the forced heater or select another heater type.


Maintain Temperature is too low

Error Messages ››

Maintain Temperature is too low.

There are no heaters, which could maintain the specified temperature. Check the forced heater or select another heater type.


Forced Heater Family could not be found

Error Messages ››

Forced Heater Family could not be found.

This error will occur, if the forced heater family not in the list with allowed products. Check the Allowed Products in the Project Settings.


Forced Heater Catalog No could not be found, check voltage

Error Messages ››

Forced Heater Catalog No could not be found, check voltage.

This error will occur, if the forced heater not in the list with allowed products. Check the Allowed Products in the Project Settings.


No suitable heater was found

Error Messages ››

No suitable heater was found.

This error will occur, if the forced heater type not in the list with allowed products. Check the Allowed Products in the Project Settings.


Heater Output is too low

Error Messages ››

Heater Output is too low.

This error will occur, if the forced heater installed with the maximal allowed Trace Ratio for the current pipeline does not compensate the heat loss.


Trace Ratio is too high

Error Messages ››

Trace Ratio is too high.

It is not possible to install the heater with the forced Trace Ratio. Check the forced Trace Ratio. Or the calculated Trace Ratio could be not realized on the current pipe segment in the Pipe Group since the Pipe Group Trace Ratio is the same for all. Try to force smaller Trace Ratio for the current pipe.


Forced Trace Ratio or forced Heating Circuit Quantity prevents solution

Error Messages ››

Forced Trace Ratio or forced Heating Circuit Quantity prevents solution.

It is not possible to realize the forced Trace Ratio on the current pipe segment or there are no heaters with required power output to have the forced Trace Ratio per Cable and Heating Circuit Quantity. Check the forced Trace Ratio per Cable and Heating Circuits Quantity.


Heater Sheath Temperature is too high

Error Messages ››

Heater Sheath Temperature is too high.

The temperature class requirements could not be met. Check the forced heater or the temperature class requirements.


Sheath Temp Limiter set point is too high

Error Messages ››

Sheath Temp Limiter set point is too high.

Reduce the Limiter Setpoint. Take to account that there is an offset between the sensor temperature and the maximal heater sheath temperature.


Not enough surface area

Error Messages ››

Not enough surface area.

Reduce the spacing between the heaters or increase the Available Area or the spacing less than 50 mm was entered.